Skip to main content
GET
Get transaction

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-MultiTenantKey
string

Required when using a Platform API token. The tenant key identifying which business to operate on.

Path Parameters

userId
string<uuid>
required

The unique identifier for the user

Example:

"c06f3427-3bbe-4d70-9a54-28acda267e48"

transactionId
string<uuid>
required

The unique identifier for the transaction

Example:

"c06f3427-3bbe-4d70-9a54-28acda267e48"

Query Parameters

document
enum<string>

Include a presigned download URL for a transaction document, e.g. firc for the FIRC (Foreign Inward Remittance Certificate) on Indian payouts

Available options:
firc

Response

Get transaction response

id
string<uuid>
required
Example:

"d0137ede-7df1-4a54-8206-b3ab7b03876f"

type
string
required

The transaction type, e.g. payout, payroll, deposit, transfer

Example:

"payout"

reference
string<uuid>
required

The client reference for the transaction

Example:

"c06f3427-3bbe-4d70-9a54-28acda267e48"

amount
object
required
sourceAmount
object
required
fxRate
string
required
Example:

"56.1234"

status
enum<string>
required
Available options:
initiated,
success,
processing,
failed
Example:

"success"

createdTimestamp
integer
required

Unix timestamp when the transaction was created

Example:

1748478276

lastUpdatedTimestamp
integer
required

Unix timestamp when the transaction was last updated

Example:

1748478276

beneficiaryId
string<uuid>
Example:

"c871b333-e129-409c-aabd-7cfb55a967cc"

quoteId
string<uuid>
Example:

"d35d2bd6-188b-4e82-9a16-71442dad7375"

feeAmount
object
document
object

Present only when a document is requested via the document query parameter